Skip to main content

Redeem Gift Card

POST 

/gift_cards/:id/redeem

Redeem a gift card. The full amount becomes account credit for the signed-in customer at this studio, who becomes the card's recipient. A gift card can only be redeemed once; concurrent requests are serialized and all but the first get gift_card_already_redeemed.

Providers​

  • Must have one of the following permissions: super_admin, store, pos.

Customers​

  • Any customer can perform this action.

Unregistered Customers​

  • No access.

Request​

Responses​